"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87a60>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87b00>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87ba0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87c40>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87ce0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87d80>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87e20>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87ec0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6026c87f60>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0040>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab00e0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0180>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0220>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab02c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0360>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0400>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab04a0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0540>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab05e0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0680>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0720>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab07c0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0860>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0900>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab09a0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0a40>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0ae0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0b80>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0c20>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0cc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0d60>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0e00>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0ea0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0f40>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab0fe0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1080>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1120>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab11c0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1260>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1300>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab13a0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1440>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab14e0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1580>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1620>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab16c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1760>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1800>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab18a0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1940>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab19e0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1a80>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1b20>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1bc0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1c60>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1d00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1da0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1e40>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1ee0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab1f80>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2020>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab20c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2160>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2200>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab22a0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2340>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab23e0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2480>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2520>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab25c0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2660>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2700>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab27a0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2840>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab28e0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2980>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2a20>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2ac0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2b60>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2c00>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2d40>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2ca0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2de0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2e80>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7f6025ab2f20>)]
name: str = 'fr_HOCCN'
